%define build_evo	0
%define build_doc	1

#gw libtracker-common is in the main package and not provided
%define _requires_exceptions devel(libtracker-common\\|devel(libtracker-data

%define api		0.16
%define major		0
%define girmajor	0.16

%define libname		%mklibname %{name} %{api} %{major}
%define develname	%mklibname %{name} -d
%define girname         %mklibname %{name}-gir %{girmajor}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Desktop-neutral metadata-based search framework
Name:		tracker
Version:	0.16.2
Release:	%mkrel 5
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source1:	30-tracker.conf
Patch0:		tracker-0.12.8-linkage.patch
Patch1:		tracker-0.16.2-drop-gettext-macro.patch
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.tracker-project.org
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	giflib-devel
BuildRequires:	tiff-devel
BuildRequires:	jpeg-devel
BuildRequires:	icu-devel
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	pkgconfig(camel-1.2) >= 2.32.0
BuildRequires:	pkgconfig(evolution-data-server-1.2) >= 2.32.0
BuildRequires:	pkgconfig(evolution-plugin-3.0)
BuildRequires:	pkgconfig(evolution-shell-3.0) >= 3.1
BuildRequires:	pkgconfig(exempi-2.0) >= 2.1.0
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.12.0
BuildRequires:	pkgconfig(gee-0.8) >= 0.3
BuildRequires:	pkgconfig(gio-unix-2.0) >= 2.28.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.10.31
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.10.31
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 0.10.31
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libexif) >= 0.6
BuildRequires:	pkgconfig(libgsf-1) >= 1.13
BuildRequires:	pkgconfig(libgxps)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(libnm-glib) >= 0.8
BuildRequires:	pkgconfig(libosinfo-1.0)
BuildRequires:	pkgconfig(libpng) >= 1.2
BuildRequires:	pkgconfig(libsecret-unstable) >= 0.5
BuildRequires:	pkgconfig(libstreamanalyzer) >= 0.7.0
BuildRequires:	pkgconfig(libxine) >= 1.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6
BuildRequires:	pkgconfig(pango) >= 1.0.0
BuildRequires:	pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:	pkgconfig(rest-0.7) >= 0.6
BuildRequires:	pkgconfig(sqlite3) >= 3.7.14
BuildRequires:	pkgconfig(taglib_c) >= 1.6
BuildRequires:	pkgconfig(totem-plparser)
BuildRequires:	pkgconfig(upower-glib) >= 0.9.0
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(vorbisfile) >= 0.22
Obsoletes:	tracker-search-tool < 0.10
Obsoletes:	%{name}-common < 0.12.8-2
Obsoletes:	%{name}-preferences < 0.12.8-2
Obsoletes:	%{name}-applet < 0.12.8-2
Requires:	odt2txt

%description
Tracker is a framework designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%if %{build_evo}
%package -n evolution-%{name}
Group:		Networking/Mail
Summary:	Integrate Evolution with the Tracker desktop search
Requires:	evolution
Requires:	%{name} = %{version}-%{release}
BuildRequires:	pkgconfig(evolution-plugin-3.0)

%description -n evolution-%{name}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

This package contains an evolution plugin for Tracker integration.
%endif

%package -n nautilus-%{name}
Group:		Graphical desktop/GNOME
Summary:	Nautilus integration of tracker
Requires:	%{name} = %{version}-%{release}
BuildRequires:	pkgconfig(libnautilus-extension)

%description -n nautilus-%{name}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

This package contains an nautilus plugin for Tracker integration.

%package -n %{libname}
Group:		System/Libraries
Summary:	Shared library of Tracker
Conflicts:	%{name}	< 0.12.8-2

%description -n %{libname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{develname}
Group:		Development/C
Summary:	Development library of Tracker
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{mklibname %{name} -d} < 0.10.21
Obsoletes:	%{mklibname %{name} 0.11 -d} < %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0.10 -d} 
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Conflicts:	%{name} < 0.12.8-2

%description -n %{develname}
Tracker is a tool designed to extract information and metadata about your 
personal data so that it can be searched easily and quickly. Tracker is
desktop-neutral, fast and resource efficient.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package vala
Summary:	Vala bindings for %{name}
Group:		Development/Other
BuildArch:	noarch
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala

%description vala
This package contains vala bindings for development %{name}.

%if %{build_doc}
%package docs
Summary:	Documentations for tracker
Group:		Documentation 
BuildArch:	noarch
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:	graphviz
Conflicts:	%{name} < 0.10.17

%description docs
This package contains the documentation for tracker.
%endif

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--enable-libflac \
	--enable-libvorbis \
	--disable-functional-tests \
	--disable-miner-thunderbird \
	--disable-miner-firefox \
%if %{build_doc}
	--enable-gtk-doc \
%endif
%if !%{build_evo}
	--disable-miner-evolution \
%else
        --enable-miner-evolution \
%endif
	--enable-libosinfo \
        --disable-static

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/sysctl.d/30-%{name}.conf

%find_lang %{name}

find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'
rm -rf %{buildroot}%{_datadir}/tracker-tests

# do not start under KDE
desktop-file-install \
	--remove-only-show-in=KDE \
	--dir=%{buildroot}%{_sysconfdir}/xdg/autostart \
		%{buildroot}%{_sysconfdir}/xdg/autostart/*.desktop

#fix categories (mga#3613)
desktop-file-install \
	--add-category=GTK \
	--add-category=GNOME \
	--dir=%{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/%{name}-preferences.desktop

%files -f %{name}.lang
%doc README NEWS AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-miner-fs.desktop
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}-store.desktop
%{_bindir}/%{name}-control
%{_bindir}/%{name}-import
%{_bindir}/%{name}-info
%{_bindir}/%{name}-search
%{_bindir}/%{name}-sparql
%{_bindir}/%{name}-stats
%{_bindir}/%{name}-tag
%{_bindir}/%{name}-needle
%{_bindir}/%{name}-preferences
%{_datadir}/%{name}/
%dir %{_libdir}/%{name}-%{api}/extract-modules
%dir %{_libdir}/%{name}-%{api}/writeback-modules
%{_libdir}/%{name}-%{api}/extract-modules/*.so
%{_libdir}/%{name}-%{api}/writeback-modules/*.so
%{_libexecdir}/%{name}-extract
%{_libexecdir}/%{name}-miner-fs
%{_libexecdir}/%{name}-store
%{_libexecdir}/%{name}-writeback
%{_prefix}/lib/sysctl.d/30-%{name}.conf
%{_mandir}/man1/%{name}-control.1*
%{_mandir}/man1/%{name}-extract.1*
%{_mandir}/man1/%{name}-import.1*
%{_mandir}/man1/%{name}-info.1*
%{_mandir}/man1/%{name}-miner-fs.1*
%{_mandir}/man1/%{name}-needle.1.*
%{_mandir}/man1/%{name}-search.1*
%{_mandir}/man1/%{name}-sparql.1*
%{_mandir}/man1/%{name}-stats.1*
%{_mandir}/man1/%{name}-store.1*
%{_mandir}/man1/%{name}-tag.1*
%{_mandir}/man1/%{name}-writeback.1*
%{_mandir}/man1/%{name}-preferences.1*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Extract.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Miner*
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.Writeback.service
%{_datadir}/dbus-1/services/org.freedesktop.Tracker1.service
%{_datadir}/applications/tracker-needle.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.Tracker.*
%{_datadir}/applications/%{name}-preferences.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*

%files vala
%{_datadir}/vala/vapi/%{name}-sparql-%{api}.vapi
%{_datadir}/vala/vapi/%{name}-sparql-%{api}.deps
%{_datadir}/vala/vapi/%{name}-miner-%{api}.vapi
%{_datadir}/vala/vapi/%{name}-miner-%{api}.deps

%files -n %{libname}
%{_libdir}/lib%{name}-extract-%{api}.so.%{major}*
%{_libdir}/lib%{name}-miner-%{api}.so.%{major}*
%{_libdir}/lib%{name}-sparql-%{api}.so.%{major}*
%dir %{_libdir}/%{name}-%{api}/
%{_libdir}/%{name}-%{api}/libtracker-*.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/Tracker-%{girmajor}.typelib
%{_libdir}/girepository-1.0/TrackerExtract-%{girmajor}.typelib
%{_libdir}/girepository-1.0/TrackerMiner-%{girmajor}.typelib

%files -n %{develname}
%{_libdir}/lib%{name}-extract-%{api}.so
%{_libdir}/lib%{name}-miner-%{api}.so
%{_libdir}/lib%{name}-sparql-%{api}.so
%{_libdir}/%{name}-%{api}/libtracker-*.so
%{_includedir}/*
%{_libdir}/pkgconfig/%{name}-extract-%{api}.pc
%{_libdir}/pkgconfig/%{name}-miner-%{api}.pc
%{_libdir}/pkgconfig/%{name}-sparql-%{api}.pc
%{_datadir}/gir-1.0/Tracker-%{girmajor}.gir
%{_datadir}/gir-1.0/TrackerExtract-%{girmajor}.gir
%{_datadir}/gir-1.0/TrackerMiner-%{girmajor}.gir

%if %{build_doc}
%files docs
%{_datadir}/gtk-doc/html/lib%{name}-extract
%{_datadir}/gtk-doc/html/lib%{name}-miner
%{_datadir}/gtk-doc/html/lib%{name}-sparql
%{_datadir}/gtk-doc/html/ontology
%endif

%if %{build_evo}
%files -n evolution-%{name}
%{_libdir}/evolution/*/plugins/liborg-freedesktop-Tracker-evolution-plugin.so
%{_libdir}/evolution/*/plugins/org-freedesktop-Tracker-evolution-plugin.eplug
%endif

%files -n nautilus-%{name}
%{_libdir}/nautilus/extensions-3.0/libnautilus-tracker-tags.*


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.16.2-5.mga4
+ Revision: 539396
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 fwang <fwang> 0.16.2-4.mga4
+ Revision: 492086
- add patch build with latest gnome-common
- use autoreconf

  + tmb <tmb>
    - rebuild for new icu

  + tv <tv>
    - rebuild for new icu

* Wed Sep 18 2013 fwang <fwang> 0.16.2-2.mga4
+ Revision: 481270
- rebuild for new totem-pl-parser

* Thu Aug 01 2013 ovitters <ovitters> 0.16.2-1.mga4
+ Revision: 461918
- new version 0.16.2

* Tue Jun 04 2013 fwang <fwang> 0.16.1-3.mga4
+ Revision: 436959
- rebuild for new libpng

* Sun May 26 2013 fwang <fwang> 0.16.1-2.mga4
+ Revision: 427993
- update br
- rebuild for new icu

* Sat May 25 2013 ovitters <ovitters> 0.16.1-1.mga4
+ Revision: 427453
- update file list
- new version 0.16.1

* Wed May 01 2013 colin <colin> 0.14.5-2.mga3
+ Revision: 411781
- Fix gee build dependancy
- Increase inotify watch limit as tracker is very hungry (from Debian/Ubuntu)

  + ovitters <ovitters>
    - new version 0.14.5

* Mon Jan 14 2013 umeabot <umeabot> 0.14.4-4.mga3
+ Revision: 384729
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 09 2012 fwang <fwang> 0.14.4-3.mga3
+ Revision: 316659
- drop old patch
- vala is a noarch package

* Tue Nov 06 2012 fwang <fwang> 0.14.4-2.mga3
+ Revision: 314742
- rebuild for new icu

* Thu Nov 01 2012 ovitters <ovitters> 0.14.4-1.mga3
+ Revision: 312282
- new version 0.14.4

* Wed Oct 24 2012 ovitters <ovitters> 0.14.3-1.mga3
+ Revision: 309688
- new version 0.14.3

* Sun Oct 14 2012 ennael <ennael> 0.14.2-2.mga3
+ Revision: 305616
- Documentation group

* Tue Sep 04 2012 ovitters <ovitters> 0.14.2-1.mga3
+ Revision: 288136
- disable evolution for now as it does not build
- new version 0.14.2

* Thu May 03 2012 ovitters <ovitters> 0.14.1-1.mga3
+ Revision: 234670
- new version 0.14.1

* Fri Mar 09 2012 fwang <fwang> 0.14.0-1.mga2
+ Revision: 222006
- new version 0.14.0

* Wed Feb 22 2012 wally <wally> 0.13.1-1.mga2
+ Revision: 212033
- new version 0.13.1
- enable libosinfo support
- new api 0.14
- rediff evolution patch

* Mon Feb 20 2012 wally <wally> 0.12.10-5.mga2
+ Revision: 211235
- rebuild for new evolution

* Wed Feb 15 2012 wally <wally> 0.12.10-4.mga2
+ Revision: 209378
- new version 0.12.10
- drop upstream applied patches

* Mon Feb 06 2012 wally <wally> 0.12.9-4.mga2
+ Revision: 205429
- add patch to fix build with new evolution

  + fwang <fwang>
    - rebuild for new evo

* Sun Dec 25 2011 wally <wally> 0.12.9-3.mga2
+ Revision: 187504
- add missing categories to tracker-preferences.desktop (mga#3613)
- disable firefox and thunderbird plugins for sure

* Sat Dec 24 2011 fwang <fwang> 0.12.9-2.mga2
+ Revision: 187314
- rebuild for new evo

* Sat Dec 17 2011 fwang <fwang> 0.12.9-1.mga2
+ Revision: 183108
- br gettext-devel
- fix build with glib > 2.31.4
- new version 0.12.9

* Fri Dec 09 2011 wally <wally> 0.12.8-2.mga2
+ Revision: 179669
- move some libs from main pkg into lib and devel pkg (thx mdawkins/mdv)
- drop unneeded ld.so.conf
- merge applet, preferences and common subpackages into main pkg

* Sat Nov 26 2011 fwang <fwang> 0.12.8-1.mga2
+ Revision: 172015
- fix linkage
- drop invalid br
- new version 0.12.8

* Tue Nov 22 2011 fwang <fwang> 0.12.7-3.mga2
+ Revision: 170714
- drop deprecated symbol
- rebuild for new evo

* Sat Oct 29 2011 fwang <fwang> 0.12.7-2.mga2
+ Revision: 159482
- rebuild for new evo

* Fri Oct 28 2011 wally <wally> 0.12.7-1.mga2
+ Revision: 159098
- new version 0.12.7

* Sat Oct 22 2011 wally <wally> 0.12.6-1.mga2
+ Revision: 157335
- new version 0.12.6

* Thu Oct 13 2011 wally <wally> 0.12.5-1.mga2
+ Revision: 154649
- new version 0.12.5

* Thu Oct 06 2011 wally <wally> 0.12.4-1.mga2
+ Revision: 152518
- new version 0.12.4

* Tue Sep 27 2011 ovitters <ovitters> 0.12.3-2.mga2
+ Revision: 149401
- rebuild for new poppler

* Mon Sep 26 2011 fwang <fwang> 0.12.3-1.mga2
+ Revision: 148637
- new version 0.12.3

* Thu Sep 22 2011 wally <wally> 0.12.2-1.mga2
+ Revision: 146825
- new version 0.12.2

* Fri Sep 16 2011 fwang <fwang> 0.12.1-1.mga2
+ Revision: 144169
- new version 0.12.1

* Thu Sep 15 2011 fwang <fwang> 0.12.0-2.mga2
+ Revision: 143767
- rebuild for new libpng

* Sat Sep 10 2011 fwang <fwang> 0.12.0-1.mga2
+ Revision: 141986
- new version 0.12.0

* Mon Aug 29 2011 fwang <fwang> 0.11.2-4.mga2
+ Revision: 136144
- rebuild for new evo
- add back require exceptions
- drop invalid switch
- fix linkage
- new version 0.11.2
- obsoletes old devel package, as we only support one tracker branch per distro
- clean up spec
- new version 0.10.20

  + wally <wally>
    - add patches from upstream to fix build with latest evolution
    - enable evolution subpackage
    - new version 0.11.1
    - new api 0.11
    - clean BRs and use pkgconfig style when possible
    - enable flac and tagreadbin configure options
    - new version 0.10.21
    - disable evolution plugin for now as it doesn't build
    - enable nm and gif support
    - fix devel package libification
    - create subpackages for vala binding and gir .typelibs
    - clean .spec a bit

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Fri Jun 24 2011 dmorgan <dmorgan> 0.10.17-5.mga2
+ Revision: 113290
- Fix requires
- This was not supposed to be part of this commit
- Add doc subpackage
  remove .la files
  clean spec file
- Clean spec file
- Disable functionnal tests
  Remove .la files
- Fix file list

* Thu Jun 16 2011 dmorgan <dmorgan> 0.10.17-2.mga2
+ Revision: 108225
- Add obsoletes to ease upgrade

* Thu Jun 16 2011 dmorgan <dmorgan> 0.10.17-1.mga2
+ Revision: 108200
- Add gnutls-devel as buildrequire
- Fix gobject-introspection-devel buildrequire
- Add gobject-introspection as buildrequire
- New version 0.10

* Sun Feb 06 2011 ahmad <ahmad> 0.8.17-4.mga1
+ Revision: 47732
- use generic BR

  + pterjan <pterjan>
    - Drop test on mdvver
    - Drop test on mdvver
    - imported package tracker


* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 0.8.17-3mdv2011.0
+ Revision: 626196
- fix build with poppler 0.16.0
- rebuild for new poppler

* Fri Sep 03 2010 Götz Waschk <waschk@mandriva.org> 0.8.17-2mdv2011.0
+ Revision: 575661
- only apply evolution patch for cooker
- disable evolution for 2010.1

* Thu Sep 02 2010 Götz Waschk <waschk@mandriva.org> 0.8.17-1mdv2011.0
+ Revision: 575529
- new version

* Thu Aug 19 2010 Götz Waschk <waschk@mandriva.org> 0.8.16-2mdv2011.0
+ Revision: 571374
- fix evolution build
- reenable evolution support

* Thu Aug 19 2010 Götz Waschk <waschk@mandriva.org> 0.8.16-1mdv2011.0
+ Revision: 571367
- update to new version 0.8.16
- enable evo for backports

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 0.8.15-2mdv2011.0
+ Revision: 566306
- disable evo plugin, does not build with evo 2.32
- rebuild for new poppler

* Fri Jul 16 2010 Götz Waschk <waschk@mandriva.org> 0.8.15-1mdv2011.0
+ Revision: 554278
- update to new version 0.8.15

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.8.14-1mdv2011.0
+ Revision: 550533
- update to new version 0.8.14
- bump glib dep

* Thu Jun 24 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.13-1mdv2010.1
+ Revision: 549100
- Release 0.8.13

* Tue Jun 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.12-2mdv2010.1
+ Revision: 548544
- Rebuild with latest eds

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.12-1mdv2010.1
+ Revision: 548364
- Release 0.8.12

* Fri Jun 11 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.11-1mdv2010.1
+ Revision: 547919
- Release 0.8.11
- Remove patches 0 & 1 (merged upstream)

* Fri May 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.7-2mdv2010.1
+ Revision: 545604
- Fix buildrequires
- Release 0.8.7
- Patch0: fix tracker UI in non-UTF8 locale (GNOME bug #616540)
- Patch1: handle renaming file to non-ascii filename in non-UTF8 locale (GNOME bug #619280)

* Mon May 17 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.6-1mdv2010.1
+ Revision: 544983
- Release 0.8.6

* Thu May 06 2010 Götz Waschk <waschk@mandriva.org> 0.8.5-1mdv2010.1
+ Revision: 543043
- new version
- update file list

* Thu Apr 29 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.4-1mdv2010.1
+ Revision: 540917
- Release 0.8.4

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-4mdv2010.1
+ Revision: 540147
- Patch0 (GIT): fix evolution plugin (GNOME bug #615930)
- Ensure tracker isn't started under KDE

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.8.3-2mdv2010.1
+ Revision: 539619
- rebuild so that shared libraries are properly stripped again

* Thu Apr 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.3-1mdv2010.1
+ Revision: 537832
- Release 0.8.3

* Thu Apr 15 2010 Götz Waschk <waschk@mandriva.org> 0.8.2-1mdv2010.1
+ Revision: 535101
- update to new version 0.8.2

* Tue Apr 13 2010 Frederic Crozat <fcrozat@mandriva.com> 0.8.1-2mdv2010.1
+ Revision: 534177
- Revert to stable release

* Mon Apr 12 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.9.0-1mdv2010.1
+ Revision: 533708
- update to 0.9.0

* Thu Apr 08 2010 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2010.1
+ Revision: 533208
- new version
- add tests to the devel package
- new version
- new API version

* Thu Mar 25 2010 Götz Waschk <waschk@mandriva.org> 0.7.28-1mdv2010.1
+ Revision: 527548
- new version
- remove deskbar applet

* Wed Mar 24 2010 Götz Waschk <waschk@mandriva.org> 0.7.27-2mdv2010.1
+ Revision: 527205
- make the devel package installable

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.7.27-1mdv2010.1
+ Revision: 525239
- new version
- drop patch and extra source

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.7.26-1mdv2010.1
+ Revision: 525062
- new version
- drop patches
- add missing file
- add vala vapi files to the devel package

* Mon Mar 15 2010 Götz Waschk <waschk@mandriva.org> 0.7.25-2mdv2010.1
+ Revision: 519774
- fix evolution plugin for evo 2.29

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.7.25-1mdv2010.1
+ Revision: 518198
- fix build deps
- new version
- drop unac patch
- fix linking

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.7.24-3mdv2010.1
+ Revision: 517983
- reenable evolution plugin
- remove build workarounds

* Fri Mar 05 2010 Götz Waschk <waschk@mandriva.org> 0.7.24-2mdv2010.1
+ Revision: 514791
- fix crash when using unac (b.g.o 609850)

* Fri Mar 05 2010 Götz Waschk <waschk@mandriva.org> 0.7.24-1mdv2010.1
+ Revision: 514378
- update to new version 0.7.24

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 0.7.23-1mdv2010.1
+ Revision: 511649
- update to new version 0.7.23

* Thu Feb 25 2010 Götz Waschk <waschk@mandriva.org> 0.7.22-1mdv2010.1
+ Revision: 511278
- new version
- bump gtk dep to 2.18 and disable build options for older distributions

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 0.7.21-1mdv2010.1
+ Revision: 508492
- update to new version 0.7.21

* Sat Feb 13 2010 Götz Waschk <waschk@mandriva.org> 0.7.20-2mdv2010.1
+ Revision: 505601
- disable unac (b.g.o bug #609850)

* Thu Feb 11 2010 Götz Waschk <waschk@mandriva.org> 0.7.20-1mdv2010.1
+ Revision: 504294
- new version
- update file list

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 0.7.19-1mdv2010.1
+ Revision: 500937
- update to new version 0.7.19

* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 0.7.18-1mdv2010.1
+ Revision: 497685
- update to new version 0.7.18

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 0.7.17-3mdv2010.1
+ Revision: 497248
- rebuild for new libtotem-plparser

* Fri Jan 22 2010 Frederic Crozat <fcrozat@mandriva.com> 0.7.17-2mdv2010.1
+ Revision: 495041
- Remove obsolete requires

* Fri Jan 22 2010 Götz Waschk <waschk@mandriva.org> 0.7.17-1mdv2010.1
+ Revision: 494884
- new version
- update file list

* Fri Jan 15 2010 Götz Waschk <waschk@mandriva.org> 0.7.16-1mdv2010.1
+ Revision: 491751
- new version
- bump dbus-glib dep
- enable wv2
- remove autogen call

* Wed Jan 13 2010 Götz Waschk <waschk@mandriva.org> 0.7.15-2mdv2010.1
+ Revision: 490639
- rebuild for new libjpeg

* Thu Jan 07 2010 Götz Waschk <waschk@mandriva.org> 0.7.15-1mdv2010.1
+ Revision: 487199
- update to new version 0.7.15

* Fri Jan 01 2010 Götz Waschk <waschk@mandriva.org> 0.7.14-3mdv2010.1
+ Revision: 484886
- enable Ogg Vorbis extractor
- enable unac accent stripping
- update build deps
- update build deps for backports

* Thu Dec 31 2009 Götz Waschk <waschk@mandriva.org> 0.7.14-2mdv2010.1
+ Revision: 484503
- enable evolution backend for backports
- build with id3lib
- depend on odt2txt

* Tue Dec 29 2009 Götz Waschk <waschk@mandriva.org> 0.7.14-1mdv2010.1
+ Revision: 483302
- update to new version 0.7.14

* Wed Dec 23 2009 Götz Waschk <waschk@mandriva.org> 0.7.13-1mdv2010.1
+ Revision: 481758
- new version
- fix gtk-doc build

* Sat Dec 19 2009 Götz Waschk <waschk@mandriva.org> 0.7.12-1mdv2010.1
+ Revision: 480086
- update build deps
- new version
- enable gtk-doc build
- add nautilus extension

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 0.7.11-1mdv2010.1
+ Revision: 476458
- new version
- disable evolution plugin

* Fri Dec 04 2009 Götz Waschk <waschk@mandriva.org> 0.7.10-2mdv2010.1
+ Revision: 473360
- new version
- update file list
- bump exempi dep

* Fri Nov 27 2009 Götz Waschk <waschk@mandriva.org> 0.7.9-1mdv2010.1
+ Revision: 470612
- new version
- add tracker-writeback
- disable format string Werror

* Sat Nov 21 2009 Götz Waschk <waschk@mandriva.org> 0.7.8-1mdv2010.1
+ Revision: 467778
- update to new version 0.7.8

* Fri Nov 13 2009 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2010.1
+ Revision: 465718
- new version
- new libname
- drop patch
- update build deps
- update file list
- readd evolution plugin

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 0.6.95-4mdv2010.0
+ Revision: 419820
- rebuild for new libjpeg v7

* Fri May 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.95-3mdv2010.0
+ Revision: 378823
- new version
- rediff patch
- disable evolution plugin

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 0.6.94-3mdv2010.0
+ Revision: 377485
- rebuild for new poppler

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.6.94-2mdv2010.0
+ Revision: 374551
- rebuild for new evolution

* Sun May 03 2009 Götz Waschk <waschk@mandriva.org> 0.6.94-1mdv2010.0
+ Revision: 371229
- fix build deps
- patch for new gmime
- update to new version 0.6.94

* Wed Apr 15 2009 Götz Waschk <waschk@mandriva.org> 0.6.93-2mdv2009.1
+ Revision: 367281
- fix installation on x86_64
- add evolution plugin

  + Michael Scherer <misc@mandriva.org>
    - define %%name before using it in the spec, to prevent weird failure about %%package debug
    - remove duplicate changelog, as this prevent srpm rebuild

  + Reinout van Schouwen <reinouts@mandriva.com>
    - new version 0.6.93

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 0.6.92-1mdv2009.1
+ Revision: 362826
- remove x86_64 installation workaround

  + Adam Williamson <awilliamson@mandriva.org>
    - new release 0.6.92 (thanks reinout)

* Fri Mar 13 2009 Götz Waschk <waschk@mandriva.org> 0.6.91-1mdv2009.1
+ Revision: 354731
- fix deskbar handler dir
- update to new version 0.6.91

* Wed Feb 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.90-1mdv2009.1
+ Revision: 339542
- Released version now also buildrequires intltool, not only svn version

  + Götz Waschk <waschk@mandriva.org>
    - new version
    - drop patch
    - fix build
    - update build deps
    - update file list
    - update source URL

* Thu Jan 01 2009 Götz Waschk <waschk@mandriva.org> 0.6.6-8mdv2009.1
+ Revision: 323218
- fix format strings

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Nov 08 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.6-7mdv2009.1
+ Revision: 300978
- rebuild (for xcb this time)

* Thu Nov 06 2008 Götz Waschk <waschk@mandriva.org> 0.6.6-6mdv2009.1
+ Revision: 300241
- rebuild for new gnome-desktop
- rebuild for new  gnome-desktop

* Wed Jul 23 2008 Götz Waschk <waschk@mandriva.org> 0.6.6-5mdv2009.0
+ Revision: 242252
- rebuild

  + Adam Williamson <awilliamson@mandriva.org>
    - really fix the gstreamer BR (tvignaud's version doesn't work on 2008)

* Mon Jun 30 2008 Thierry Vignaud <tv@mandriva.org> 0.6.6-4mdv2009.0
+ Revision: 230239
- fix gstreamer0.10-devel BR on x86_64
- rebuild for new libpoppler

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Adam Williamson <awilliamson@mandriva.org>
    - buildrequires libgstreamer0.10-devel not gstreamer0.10-devel (2008 doesn't have the latter provide)

* Mon Mar 03 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.6-1mdv2008.1
+ Revision: 177849
- add several buildrequires
- introduce package for the panel applet
- new release 0.6.6

* Thu Feb 28 2008 Frederik Himpe <fhimpe@mandriva.org> 0.6.5-1mdv2008.1
+ Revision: 176510
- Fix buildrequirements
- New upstream version

* Mon Jan 28 2008 Adam Williamson <awilliamson@mandriva.org> 0.6.4-1mdv2008.1
+ Revision: 159409
- new release 0.6.4 (should fix #35497)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 11 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.3-1mdv2008.1
+ Revision: 96960
- new release 0.6.3

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.2-1mdv2008.0
+ Revision: 80588
- adjust build for new deskbar-applet module setup
- new release 0.6.2

* Wed Aug 15 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.1-1mdv2008.0
+ Revision: 63746
- package tracker-preferences manpage
- correct license
- new release 0.6.1

* Wed Jul 25 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 55100
- adjust buildrequires
- new release 0.6.0

* Wed Jun 20 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-0.598.1mdv2008.0
+ Revision: 41671
- drop X-Mandriva menu category
- drop old icons
- unversioned -devel package
- new svn snapshot 598 (fixes a crasher bug)

* Thu May 17 2007 Adam Williamson <awilliamson@mandriva.org> 0.6.0-0.591.1mdv2008.0
+ Revision: 27570
- new snapshot 591, spec clean, don't BuildRequires libmagic (no longer used)


* Thu Mar 22 2007 Adam Williamson <awilliamson@mandriva.com> 0.6.0-0.544.1mdv2007.1
+ Revision: 147979
- BuildRequires ImageMagick
- 0.6.0svn: more stable than 0.5.4, ignores temp dirs

* Sun Mar 04 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.4-2mdv2007.1
+ Revision: 132626
- really delete patch from SVN

* Fri Mar 02 2007 Adam Williamson <awilliamson@mandriva.com> 0.5.4-1mdv2007.1
+ Revision: 130958
- BuildRequires ImageMagick (needed for icon generation)
- BuildRequires desktop-file-utils (needed to modify .desktop file during %%install)
- Import tracker

